MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026676Open CASCADE[OCCT] OCCT:Visualizationpublic2015-09-10 16:502016-04-20 15:48
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026676: Visualization, Ray Tracing - correct rendering if stereo pair
DescriptionRendering results of stereo pair do not match between Rasterization and Ray-Tracing.
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 50
vclear
vclose all
vinit View1 w=1024 h=512
vraytrace 0
vaxo
vsetdispmode 1
vdisplay b
vcamera -persp
vfit
vrotate 0 -1.2 0
vzoom 1.2

vstereo -anaglyph redCyan
vcamera -iod
vcamera -iod 0.3

vraytrace 1

vselect 522 400
vdump stereo_ray.png
# vraytrace 0
# vdump stereo_rast.png
TagsNo tags attached.
Test case numberbugs vis bug26676
Attached Filespng file icon stereo_rast_l_OK.png (3,715 bytes) 2015-09-10 16:50
png file icon stereo_ray_l_KO.png (4,550 bytes) 2015-09-10 16:50
png file icon stereo_rast_OK.png (5,060 bytes) 2015-09-10 16:51
png file icon stereo_ray_KO.png (6,327 bytes) 2015-09-10 16:51

- Relationships
related to 0026617closedbugmaster Open CASCADE Visualization, Ray Tracing - adopt progressive rendering Path Tracing for rendering stereoscopic pair 

-  Notes
(0045554)
git (administrator)
2015-09-14 11:41

Branch CR26676 has been created by apl.

SHA-1: 86ede5c0c87be6da76df7672f5e255bcd8560581


Detailed log of new commits:

Author: apl
Date: Mon Sep 14 11:41:22 2015 +0300

    0026676: Visualization, Ray Tracing - correct rendering if stereo pair
    
    Fixed interpolation of ray direction vector for asymmetric frustum (stereo left/right eye). Unnecessary normalization of direction vector affecting the frustum's geometry was removed.
    
    Fixed usage of projection type argument passed when rendering immediate graphics with stereo projection.
(0045858)
git (administrator)
2015-09-18 11:02

Branch CR26676 has been updated forcibly by apl.

SHA-1: 72fb8aeec489cbd60fef0f64b9c6c8da21e377ae
(0045865)
apl (developer)
2015-09-18 11:34

The patch is based on CR24776_4.

Dear Kirill,

Could you please review patch in branch CR26676?
(0045979)
git (administrator)
2015-09-22 11:53

Branch CR26676 has been updated forcibly by kgv.

SHA-1: b0dc79bc7d35c72ad6321b09ec42df7a6b8dc1a3
(0045980)
kgv (developer)
2015-09-22 11:55

Patch is ready for testing.
Please note that branch CR26676 is based on patch CR24776_5 for 0024776 (which has additional branch in Products).
(0046023)
apv (tester)
2015-09-23 11:12
edited on: 2015-09-23 11:12

Dear BugMaster,

Branch CR26676 from occt git-repository (and CR24776 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b0dc79bc7d35c72ad6321b09ec42df7a6b8dc1a3

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26676 - OK
http://occt-tests/CR26676-CR24776-occt-64/Debian70-64/bugs/vis/bug26676.html [^]
http://occt-tests/CR26676-CR24776-occt-64/Windows-64-VC10/bugs/vis/bug26676.html [^]

Testing on Linux:
Total MEMORY difference: 92183007 / 92152930 [+0.03%]
Total CPU difference: 19046.40999999904 / 18924.349999998987 [+0.64%]

Testing on Windows:
Total MEMORY difference: 56794539 / 56826033 [-0.06%]
Total CPU difference: 17299.637294399105 / 16810.65215989913 [+2.91%]

(0046887)
git (administrator)
2015-10-16 16:14

Branch CR26676 has been deleted by kgv.

SHA-1: b0dc79bc7d35c72ad6321b09ec42df7a6b8dc1a3

- Related Changesets
occt: master b0dc79bc
Timestamp: 2015-09-17 17:50:57
Author: apl
Committer: kgv
Details ] Diff ]
0026676: Visualization, Ray Tracing - correct rendering if stereo pair

- Fixed interpolation of ray direction vector for asymmetric frustum (stereo left/right eye). Unnecessary normalization of direction vector affecting the frustum's geometry was removed.
- Fixed usage of projection type argument passed when rendering immediate graphics with stereo projection.
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
add - tests/bugs/vis/bug26676 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-10 16:50 kgv New Issue
2015-09-10 16:50 kgv Assigned To => kgv
2015-09-10 16:50 kgv File Added: stereo_rast_l_OK.png
2015-09-10 16:50 kgv File Added: stereo_ray_l_KO.png
2015-09-10 16:51 kgv File Added: stereo_rast_OK.png
2015-09-10 16:51 kgv File Added: stereo_ray_KO.png
2015-09-10 16:52 kgv Relationship added child of 0025556
2015-09-10 16:53 kgv Relationship added related to 0026617
2015-09-11 17:46 apl Assigned To kgv => apl
2015-09-11 17:46 apl Status new => assigned
2015-09-14 11:41 git Note Added: 0045554
2015-09-18 11:02 git Note Added: 0045858
2015-09-18 11:34 apl Note Added: 0045865
2015-09-18 11:34 apl Assigned To apl => kgv
2015-09-18 11:34 apl Status assigned => resolved
2015-09-22 11:53 git Note Added: 0045979
2015-09-22 11:55 kgv Note Added: 0045980
2015-09-22 11:55 kgv Assigned To kgv => bugmaster
2015-09-22 11:55 kgv Status resolved => reviewed
2015-09-22 16:22 apv Assigned To bugmaster => apv
2015-09-23 11:09 apv Test case number => bugs vis bug26676
2015-09-23 11:12 apv Note Added: 0046023
2015-09-23 11:12 apv Assigned To apv => bugmaster
2015-09-23 11:12 apv Status reviewed => tested
2015-09-23 11:12 apv Note Edited: 0046023 View Revisions
2015-09-28 12:58 kgv Changeset attached => occt master b0dc79bc
2015-09-28 12:58 kgv Assigned To bugmaster => kgv
2015-09-28 12:58 kgv Status tested => verified
2015-09-28 12:58 kgv Resolution open => fixed
2015-10-16 16:14 git Note Added: 0046887
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker